Bug 24004 - Specify that PreferredHandler should trump HandlerChannelFilter
Summary: Specify that PreferredHandler should trump HandlerChannelFilter
Status: RESOLVED FIXED
Alias: None
Product: Telepathy
Classification: Unclassified
Component: tp-spec (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Telepathy bugs list
QA Contact: Telepathy bugs list
URL: http://git.collabora.co.uk/?p=user/sm...
Whiteboard: specmeet?
Keywords: patch
Depends on: 23651
Blocks: 25302
  Show dependency treegraph
 
Reported: 2009-09-17 15:13 UTC by Will Thompson
Modified: 2009-11-30 09:30 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Will Thompson 2009-09-17 15:13:27 UTC
Clients requesting channels for themselves shouldn't have to jump through hoops to do so, and if you request a channel for a particular other application you'd better be sure it can deal with it.
Comment 1 Simon McVittie 2009-09-21 03:14:53 UTC
Please mention in the rationale that this also allows a client to become the handler for a channel that it requests, without being forced to be a candidate to handle *every* outgoing channel of that type.

The semantic change looks good to me, but I don't want this in the spec until it's true in our reference implementation, so I'm setting the corresponding MC bug as a blocker.
Comment 2 Simon McVittie 2009-11-26 04:55:10 UTC
I'd be willing to have this in 0.19.0. Since we only have one practical implementation of a ChannelDispatcher, and this functionality only works in the latest version of it, it may be worth explicitly noting "In telepathy-mission-control, this works in version 5.3.2 or later."
Comment 4 Simon McVittie 2009-11-30 09:30:18 UTC
Fixed in git, will be in 0.19.0


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.